yi-core-0.19.4: Yi editor core library

Safe Haskell | None
Language | Haskell2010

Yi.UI.SimpleLayout

# Documentation

data Rect Source #

Constructors

Rect |

Fields

- offsetX :: !Int
- offsetY :: !Int
- sizeX :: !Int
- sizeY :: !Int

data Layout Source #

Constructors

Layout |

Fields

- tabbarRect :: !Rect
- windowRects :: !(Map WindowRef (Rect, HasNeighborWest))
- promptRect :: !Rect

data Point2D Source #

Constructors

Point2D |

Fields

- pointCol :: !Int
- pointRow :: !Int

data Size2D Source #

Constructors

Size2D |

Fields

- sizeWidth :: !Int
- sizeHeight :: !Int

coordsOfCharacterB :: Size2D -> Point -> Point -> BufferM (Maybe Point2D) Source #

layout :: Int -> Int -> Editor -> (Editor, Layout) Source #

verticalOffsetsForWindows :: Int -> PointedList Window -> PointedList Int Source #